{
    "path": "$OET_PATH/testcases/function_test/pkg_test/dtkcore/dtkcore",
    "machine num": 1,
    "cases": [
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_a",
            "desc": "测试使用 -a 参数生成适配器代码"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_c",
            "desc": "测试使用 -c 参数指定生成的类名"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_h",
            "desc": "测试使用 -h 参数显示帮助信息"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_i",
            "desc": "测试使用 -i 参数添加头文件包含"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_l",
            "desc": "测试使用 -l 参数指定父类名"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_m",
            "desc": "测试使用 -m 参数生成 moc 包含语句"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_upper_n",
            "desc": "测试使用 -N 参数禁用命名空间"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_p",
            "desc": "测试使用 -p 参数生成代理代码"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_v",
            "desc": "测试使用 -v 参数启用详细输出"
        },
        {
            "name": "test_dtkcore_qdbusxml2cpp-fix_upper_v",
            "desc": "测试使用 -V 参数显示程序版本并退出"
        },
        {
            "name": "test_dtkcore_function_dbusservice",
            "desc": "测试DBus服务注册与调用功能"
        }
    ]
}